Show / Hide Table of Contents

# AsyncDrawGizmosSelectedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDrawGizmosSelectedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncDrawGizmosSelectedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnDrawGizmosSelectedAsyncHandler() |
GetOnDrawGizmosSelectedAsyncHandler(CancellationToken) |
OnDrawGizmosSelectedAsync() |
OnDrawGizmosSelectedAsync(CancellationToken) |

### Methods

#### GetOnDrawGizmosSelectedAsyncHandler()

    public IAsyncOnDrawGizmosSelectedHandler GetOnDrawGizmosSelectedAsyncHandler()

##### Returns

IAsyncOnDrawGizmosSelectedHandler

#### GetOnDrawGizmosSelectedAsyncHandler(CancellationToken)

    public IAsyncOnDrawGizmosSelectedHandler GetOnDrawGizmosSelectedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnDrawGizmosSelectedHandler

#### OnDrawGizmosSelectedAsync()

    public UniTask OnDrawGizmosSelectedAsync()

##### Returns

UniTask

#### OnDrawGizmosSelectedAsync(CancellationToken)

    public UniTask OnDrawGizmosSelectedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>